Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510091 - External, USB-C connected monitors go blank for 3 seconds every 5-10 minutes
Summary: External, USB-C connected monitors go blank for 3 seconds every 5-10 minutes
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 26
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-06 16:52 UTC by tcook
Modified: 2018-05-29 11:41 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:41:41 UTC


Attachments (Terms of Use)
list of updated modules (same list as in the description) (deleted)
2017-11-07 15:23 UTC, tcook
no flags Details
output of "lsmod | sort" (deleted)
2017-11-07 15:24 UTC, tcook
no flags Details

Description tcook 2017-11-06 16:52:08 UTC
Description of problem:
My Dell Precision 5510 has 2 external monitors connected through a USB-C port expander (a Dell WD15). Ever since installing some software updates last week, one or the other of the two monitors (but not both) goes blank for about 3 seconds.  This happens regularly every 5 or 10 minutes.

Version-Release number of selected component (if applicable):
The relevant software update made the following changes:
Removed:
  kernel.x86_64 4.12.14-200.fc25                     kernel-core.x86_64 4.12.14-200.fc25                              kernel-debug-devel.x86_64 4.12.14-200.fc25       kernel-devel.x86_64 4.12.14-200.fc25       kernel-modules.x86_64 4.12.14-200.fc25      
  kernel-modules-extra.x86_64 4.12.14-200.fc25       kmod-nvidia-4.12.14-200.fc25.x86_64.x86_64 2:375.66-3.fc25      

Installed:
  kernel.x86_64 4.13.9-200.fc26      kernel-core.x86_64 4.13.9-200.fc26      kernel-debug-devel.x86_64 4.13.9-200.fc26      kernel-devel.x86_64 4.13.9-200.fc26      kernel-modules.x86_64 4.13.9-200.fc26      kernel-modules-extra.x86_64 4.13.9-200.fc26     

Upgraded:
  aajohan-comfortaa-fonts.noarch 3.001-1.fc26                      akmod-nvidia.x86_64 2:384.90-1.fc26                        audit.x86_64 2.8.1-1.fc26                                      audit-libs.x86_64 2.8.1-1.fc26                                   
  audit-libs-python.x86_64 2.8.1-1.fc26                            audit-libs-python3.x86_64 2.8.1-1.fc26                     autocorr-en.noarch 1:5.3.7.1-2.fc26                            dnf.noarch 2.7.5-1.fc26                                          
  dnf-conf.noarch 2.7.5-1.fc26                                     dnf-yum.noarch 2.7.5-1.fc26                                flatpak.x86_64 0.9.99-1.fc26                                   flatpak-libs.x86_64 0.9.99-1.fc26                                
  fontconfig.x86_64 2.12.6-3.fc26                                  fontconfig-devel.x86_64 2.12.6-3.fc26                      glibc.x86_64 2.25-12.fc26                                      glibc-all-langpacks.x86_64 2.25-12.fc26                          
  glibc-common.x86_64 2.25-12.fc26                                 glibc-devel.x86_64 2.25-12.fc26                            glibc-headers.x86_64 2.25-12.fc26                              glibc-langpack-en.x86_64 2.25-12.fc26                            
  gnutls.x86_64 3.5.16-1.fc26                                      google-chrome-stable.x86_64 62.0.3202.75-1                 gutenprint.x86_64 5.2.12-5.fc26                                gutenprint-cups.x86_64 5.2.12-5.fc26                             
  gutenprint-libs.x86_64 5.2.12-5.fc26                             kernel-headers.x86_64 4.13.9-200.fc26                      kf5-kirigami2.x86_64 2.2.0-1.fc26                              libXfont.x86_64 1.5.2-5.fc26                                     
  libXfont2.x86_64 2.0.2-1.fc26                                    libbasicobjects.x86_64 0.1.1-34.fc26                       libcollection.x86_64 0.7.0-34.fc26                             libcrypt-nss.x86_64 2.25-12.fc26                                 
  libdhash.x86_64 0.5.0-34.fc26                                    libdnf.x86_64 0.11.1-1.fc26                                libdrm.x86_64 2.4.84-1.fc26                                    libgudev.x86_64 232-1.fc26                                       
  libini_config.x86_64 1.3.1-34.fc26                               libipa_hbac.x86_64 1.15.3-5.fc26                           libpath_utils.x86_64 0.2.1-34.fc26                             libref_array.x86_64 0.1.5-34.fc26                                
  libreoffice-base.x86_64 1:5.3.7.1-2.fc26                         libreoffice-calc.x86_64 1:5.3.7.1-2.fc26                   libreoffice-core.x86_64 1:5.3.7.1-2.fc26                       libreoffice-data.noarch 1:5.3.7.1-2.fc26                         
  libreoffice-draw.x86_64 1:5.3.7.1-2.fc26                         libreoffice-emailmerge.x86_64 1:5.3.7.1-2.fc26             libreoffice-graphicfilter.x86_64 1:5.3.7.1-2.fc26              libreoffice-gtk2.x86_64 1:5.3.7.1-2.fc26                         
  libreoffice-gtk3.x86_64 1:5.3.7.1-2.fc26                         libreoffice-impress.x86_64 1:5.3.7.1-2.fc26                libreoffice-langpack-en.x86_64 1:5.3.7.1-2.fc26                libreoffice-math.x86_64 1:5.3.7.1-2.fc26                         
  libreoffice-opensymbol-fonts.noarch 1:5.3.7.1-2.fc26             libreoffice-pdfimport.x86_64 1:5.3.7.1-2.fc26              libreoffice-pyuno.x86_64 1:5.3.7.1-2.fc26                      libreoffice-ure.x86_64 1:5.3.7.1-2.fc26                          
  libreoffice-ure-common.noarch 1:5.3.7.1-2.fc26                   libreoffice-writer.x86_64 1:5.3.7.1-2.fc26                 libreoffice-x11.x86_64 1:5.3.7.1-2.fc26                        libsolv.x86_64 0.6.30-1.fc26                                     
  libsss_autofs.x86_64 1.15.3-5.fc26                               libsss_certmap.x86_64 1.15.3-5.fc26                        libsss_idmap.x86_64 1.15.3-5.fc26                              libsss_nss_idmap.x86_64 1.15.3-5.fc26                            
  libsss_sudo.x86_64 1.15.3-5.fc26                                 logrotate.x86_64 3.12.3-4.fc26                             nmap.x86_64 2:7.40-8.fc26                                      nmap-ncat.x86_64 2:7.40-8.fc26                                   
  nss-softokn.x86_64 3.33.0-1.1.fc26                               nss-softokn-freebl.x86_64 3.33.0-1.1.fc26                  p11-kit.x86_64 0.23.9-2.fc26                                   p11-kit-trust.x86_64 0.23.9-2.fc26                               
  perf.x86_64 4.13.9-200.fc26                                      perl-Digest-SHA.x86_64 1:5.98-1.fc26                       perl-Module-CoreList.noarch 1:5.20171020-1.fc26                perl-Module-CoreList-tools.noarch 1:5.20171020-1.fc26            
  popt.x86_64 1.16-12.fc26                                         python3-asn1crypto.noarch 0.23.0-1.fc26                    python3-dnf.noarch 2.7.5-1.fc26                                python3-hawkey.x86_64 0.11.1-1.fc26                              
  python3-sssdconfig.noarch 1.15.3-5.fc26                          sbt.noarch 1.0.3-0                                         selinux-policy.noarch 3.13.1-260.13.fc26                       selinux-policy-targeted.noarch 3.13.1-260.13.fc26                
  sssd.x86_64 1.15.3-5.fc26                                        sssd-ad.x86_64 1.15.3-5.fc26                               sssd-client.x86_64 1.15.3-5.fc26                               sssd-common.x86_64 1.15.3-5.fc26                                 
  sssd-common-pac.x86_64 1.15.3-5.fc26                             sssd-ipa.x86_64 1.15.3-5.fc26                              sssd-krb5.x86_64 1.15.3-5.fc26                                 sssd-krb5-common.x86_64 1.15.3-5.fc26                            
  sssd-ldap.x86_64 1.15.3-5.fc26                                   sssd-nfs-idmap.x86_64 1.15.3-5.fc26                        sssd-proxy.x86_64 1.15.3-5.fc26                                thai-scalable-fonts-common.noarch 0.6.4-1.fc26                   
  thai-scalable-waree-fonts.noarch 0.6.4-1.fc26                    thunderbird.x86_64 52.4.0-2.fc26                           unbound-libs.x86_64 1.6.6-2.fc26                               vlc.x86_64 3.0.0-0.37.git20171009.fc26                           
  vlc-core.x86_64 3.0.0-0.37.git20171009.fc26                      xorg-x11-drv-nvidia.x86_64 2:384.90-1.fc26                 xorg-x11-drv-nvidia-kmodsrc.x86_64 2:384.90-1.fc26             xorg-x11-drv-nvidia-libs.x86_64 2:384.90-1.fc26


How reproducible:
Always.

Steps to Reproduce:
1. Login and wait.
2.
3.

Actual results:
Monitor goes blank for about 3 seconds every 5 or 10 minutes.

Expected results:
No blanking.

Additional info:
# lsusb
Bus 004 Device 003: ID 0bda:8153 Realtek Semiconductor Corp. RTL8153 Gigabit Ethernet Adapter
Bus 004 Device 002: ID 0424:5537 Standard Microsystems Corp. 
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 006: ID 05af:1019 Jing-Mold Enterprise Co., Ltd 
Bus 003 Device 005: ID 046d:c52b Logitech, Inc. Unifying Receiver
Bus 003 Device 004: ID 0bda:4014 Realtek Semiconductor Corp. 
Bus 003 Device 002: ID 0424:2137 Standard Microsystems Corp. 
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 002: ID 8087:0a2b Intel Corp. 
Bus 001 Device 003: ID 0c45:6713 Microdia 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

Booting into the previous kernel (4.13.5-200.fc26.x86_64) did not fix the issue.

There are no entries added to /var/log/messages or /var/log/Xorg.?.log when the screens go blank.

Comment 1 tcook 2017-11-06 17:01:16 UTC
Also, I am running X, not weyland.

Comment 2 tcook 2017-11-07 15:23:16 UTC
Created attachment 1349019 [details]
list of updated modules (same list as in the description)

Comment 3 tcook 2017-11-07 15:24:21 UTC
Created attachment 1349020 [details]
output of "lsmod | sort"

Comment 4 tcook 2017-11-07 15:30:09 UTC
Disabling the nouveau driver on the kernel command line had no affect on the screen blanking.

$ cat /proc/cmdline 
BOOT_IMAGE=/boot/vmlinuz-4.13.9-200.fc26.x86_64 root=UUID=f3169ee6-30cf-424d-ac2e-695e6dac7ab4 ro rhgb quiet resume=/dev/nvme0n1p2 nouveau.modeset=0 rd.driver.blacklist=nouveau video=vesa:off LANG=en_US.UTF-8 modprobe.blacklist=nouveau

Also, even though the nvidia driver's packages are installed, it is not being used; see the attached list of loaded kernel modules.

Comment 5 tcook 2017-11-08 18:11:29 UTC
Downgrading all of the packages listed in the description fixes the problem.

Also, after subsequently upgrading everything to current levels with "dnf upgrade" (on 2017-11-08 at about 10:30 EST), the problem does not return.

So, I guess this issue has fixed itself, and this ticket can be closed.

Comment 6 Fedora End Of Life 2018-05-03 08:15:39 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2018-05-29 11:41:41 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.